SDL_SetWindowAlwaysOnTop(3)

NAME
SDL_SetWindowAlwaysOnTop - Set the window to always be above the others.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetWindowAlwaysOnTop(SDL_Window *window, SDL_bool on_top);

DESCRIPTION
This will add or remove the window's SDL_WINDOW_ALWAYS_ON_TOP flag. This will bring the window to the front and keep the window above the rest.

FUNCTION PARAMETERS

window
    The window of which to change the always on top state

on_top
    SDL_TRUE
     to set the window always on top, SDL_FALSE
     to disable

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetWindowFlags(3)